Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util.filter
Class AbstractCompoundFilter<T>

    java.lang.Object
      net.sourceforge.pmd.util.filter.AbstractCompoundFilter<T>

Type Parameters:
  `T` - The underlying type on which the filter applies.

All Implemented Interfaces:
  Filter<T>

Direct Known Subclasses:
  AndFilter, OrFilter

    public abstract class AbstractCompoundFilter<T>

extends java.lang.Object
implements Filter<T>

A base class for Filters which implements behavior using a List of other Filters.

Field Summary
`protected java.util.List<Filter<T>>` | `filters`

Constructor Summary
`AbstractCompoundFilter()`
`AbstractCompoundFilter(Filter<T>... filters)`

Method Summary
`void` | `addFilter(Filter<T> filter)`
`java.util.List<Filter<T>>` | `getFilters()`
`protected abstract java.lang.String` | `getOperator()`
`void` | `setFilters(java.util.List<Filter<T>> filters)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.util.filter.Filter
`filter`

Field Detail

### filters

    protected java.util.List<Filter<T>> filters

Constructor Detail

### AbstractCompoundFilter

    public AbstractCompoundFilter()

### AbstractCompoundFilter

    public AbstractCompoundFilter(Filter<T>... filters)

Method Detail

### getFilters

    public java.util.List<Filter<T>> getFilters()

### setFilters

    public void setFilters(java.util.List<Filter<T>> filters)

### addFilter

    public void addFilter(Filter<T> filter)

### getOperator

    protected abstract java.lang.String getOperator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.